<?php

namespace App\Generated\V1\DTOs;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\DTOs\DTO;
use Kamicloud\StubApi\Utils\Constants;

class AdminPartnerDTO extends DTO
{
    use ValueHelper;

    protected $id;
    protected $uid;
    protected $photo_src;
    protected $photo_1;
    protected $photo_2;
    protected $photo_3;
    protected $photo_4;

    /**
     * 卡片id
     * @return int
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * uid
     * @return int
     */
    public function getUid()
    {
        return $this->uid;
    }

    /**
     * 照片地址
     * @return string|null
     */
    public function getPhoto_src()
    {
        return $this->photo_src;
    }

    /**
     * @return string|null
     */
    public function getPhoto_1()
    {
        return $this->photo_1;
    }

    /**
     * @return string|null
     */
    public function getPhoto_2()
    {
        return $this->photo_2;
    }

    /**
     * @return string|null
     */
    public function getPhoto_3()
    {
        return $this->photo_3;
    }

    /**
     * @return string|null
     */
    public function getPhoto_4()
    {
        return $this->photo_4;
    }

    public function setId($id)
    {
        $this->id = $id;
    }

    public function setUid($uid)
    {
        $this->uid = $uid;
    }

    public function setPhoto_src($photo_src)
    {
        $this->photo_src = $photo_src;
    }

    public function setPhoto_1($photo_1)
    {
        $this->photo_1 = $photo_1;
    }

    public function setPhoto_2($photo_2)
    {
        $this->photo_2 = $photo_2;
    }

    public function setPhoto_3($photo_3)
    {
        $this->photo_3 = $photo_3;
    }

    public function setPhoto_4($photo_4)
    {
        $this->photo_4 = $photo_4;
    }

    public function getAttributeMap()
    {
        return [
            ['id', 'id', 'bail|integer', Constants::INTEGER, null],
            ['uid', 'uid', 'bail|integer', Constants::INTEGER, null],
            ['photo_src', 'photo_src', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_1', 'photo_1', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_2', 'photo_2', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_3', 'photo_3', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
            ['photo_4', 'photo_4', 'bail|nullable|string', Constants::STRING | Constants::OPTIONAL, null],
        ];
    }

}
